summaryrefslogtreecommitdiff
path: root/source4/scripting/devel
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2010-01-07 10:18:30 +1100
committerAndrew Tridgell <tridge@samba.org>2010-01-08 13:03:03 +1100
commit9672a3d1cc17dd800403a9987602403b8c6e757f (patch)
tree8de3180e206d2fb034620d354d1164ba84afed76 /source4/scripting/devel
parent1f25d0a5add1812723dfb93da28bbb80dc5d6757 (diff)
downloadsamba-9672a3d1cc17dd800403a9987602403b8c6e757f.tar.gz
samba-9672a3d1cc17dd800403a9987602403b8c6e757f.tar.bz2
samba-9672a3d1cc17dd800403a9987602403b8c6e757f.zip
s4-devel: a useful script to setup bin/ and st/ as tmpfs filesystems
this makes building and testing s4 as a developer much faster, if you have enough memory!
Diffstat (limited to 'source4/scripting/devel')
-rwxr-xr-xsource4/scripting/devel/tmpfs.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/source4/scripting/devel/tmpfs.sh b/source4/scripting/devel/tmpfs.sh
new file mode 100755
index 0000000000..5604f68dd7
--- /dev/null
+++ b/source4/scripting/devel/tmpfs.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+# This sets up bin/ and st/ as tmpfs filesystems, which saves a lot of
+# time waiting on the disk!
+
+rm -rf bin st
+mkdir -p bin st || exit 1
+sudo mount -t tmpfs /dev/null bin || exit 1
+sudo chown $USER bin || exit 1
+echo "tmpfs setup for bin/"
+sudo mount -t tmpfs /dev/null st || exit 1
+sudo chown $USER st || exit 1
+echo "tmpfs setup for st/"